Bug report # 6302 (Closed): QGIS WFS Server Geometry Type not recognize by ArcGIS

QGIS WFS Server GML is not valid

2012-10-09 03:01 AM - René-Luc ReLuc

Status: Closed

Priority: Normal

Assignee: René-Luc ReLuc

Category: QGIS Server

Affected QGIS version:master Regression?: No

Operating System: All Easy fix?: No

Pull Request or Patch supplied:Yes Resolution: fixed

Crashes QGIS or corrupts data:No Copied to github as #: 15713

Description

The Open Geospatial Consortium test suite for GML 2.1.2 does not consider the GML provided by QGIS WFS Server is not valide.

http://cite.opengeospatial.org/test_engine/gml/2.1.2/validator/

The first problem is that schemaLocation doen't reference the QGIS GML namespace : http://www.qgis.org/gml

The second problem is cvc-complex-type.2.4.a and the solution is here

http://stackoverflow.com/questions/7483331/xml-schema-validation-cvc-complex-type-2-4-a

History

#1 - 2012-10-09 07:47 AM - René-Luc ReLuc

- File 6485 added

- Pull Request or Patch supplied changed from No to Yes

- % Done changed from 0 to 100

- Status changed from Open to Resolved

#2 - 2012-10-09 07:58 AM - René-Luc ReLuc

- Resolution set to fixed

- Status changed from Resolved to Closed

commit 9e5762a01193c75793b112983bc69a1ad8b4c282:commit:9e5762a01193c75793b112983bc69a1ad8b4c282

#3 - 2012-10-09 08:00 AM - René-Luc ReLuc

René-Luc ReLuc wrote:

commit "9e5762a01193c75793b112983bc69a1ad8b4c282":commit:9e5762a01193c75793b112983bc69a1ad8b4c282

#4 - 2012-11-18 07:13 AM - René-Luc ReLuc

Little update because of a little faut in the code :

XML Schema has attribute elementFormDefault and not elementFromDefault
"df92f80741cd3822259f74386ed09c63b08c8387":commit:df92f80741cd3822259f74386ed09c63b08c8387
